import request from '@/utils/request'

// 查询会员分页列表
export function pageUser(query) {
  return request({
    url: '/system/appUser/memberPage',
    method: 'get',
    params: query
  })
}

// 查询会员列表
export function listUser(query) {
  return request({
    url: '/system/appUser/memberList',
    method: 'get',
    params: query
  })
}

// 查询会员详细
export function getUser(id) {
  return request({
    url: '/system/appUser/' + id,
    method: 'get'
  })
}

// 新增会员
export function addUser(data) {
  return request({
    url: '/system/appUser',
    method: 'post',
    data: data
  })
}

// 修改会员
export function updateUser(data) {
  return request({
    url: '/system/appUser/editAppMember',
    method: 'put',
    data: data
  })
}

// 删除会员
export function delUser(id) {
  return request({
    url: '/system/appUser/' + id,
    method: 'delete'
  })
}

// 导出会员
export function exportUser(query) {
  return request({
    url: '/system/appUser/export',
    method: 'get',
    params: query
  })
}